<!DOCTYPE html>
{% load static %}
<html>
    <head>
        <title>Register Page</title>
        <link href="{% static 'css/material.css' %}" rel="stylesheet">
        <link type="text/css" rel="stylesheet" href="{% static 'css/materialize.min.css' %}"  media="screen,projection"/>
        <link type="text/css" rel="stylesheet" href="{% static 'css/mycss.css' %}"  media="screen,projection"/>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <script type="text/javascript" src="{% static 'js/register.js' %}"></script>
    </head>
        
    <body>
        <script type="text/javascript" src="{% static 'js/jquery-3.2.1.js' %}"></script>
        <script type="text/javascript" src="{% static 'js/materialize.min.js' %}"></script>
        <div class="container">
            <div class="row">
                <div class="col s3">  
                </div>
                <div class="col s6">
                    <div class="row">
                        <div class="col s2"></div>
                        <div class="col s6">
                            <div class="card-panel logo">
                                <h3 class="cyan-text">FLY-IT</h3>
                                <h4>by Halonesia</h4>
                            </div>   
                        </div>
                        <div class="col s4"></div>
                    </div>
                    <div class="card-panel card">
                        <h3 class="cyan-text center">Register</h3>
                        <div class="row">
                            <form id="register_form" class="col s12" action="/myapp/registered/" method="POST">
                            {% csrf_token %}
                                <div class="row">
                                    <div class="input-field col s6">
                                        <input name="{{ form.first_name.name }}" id="{{ form.first_name.id_for_label }}" type="text" class="validate" required>
                                            <label for="{{ form.first_name.id_for_label }}">First Name</label>
                                            </div>
                                    <div class="input-field col s6">
                                        <input name="{{ form.last_name.name }}" id="{{ form.last_name.id_for_label }}" type="text" class="validate" required>
                                            <label for="{{ form.last_name.id_for_label }}">Last Name</label>
                                            </div>
                                </div>
                                <div class="row">
                                    <div class="input-field col s12">
                                        <input name="{{ form.merchant_name.name }}" id="{{ form.merchant_name.id_for_label }}" type="text" class="validate" required>
                                            <label for="{{ form.merchant_name.id_for_label }}">Merchant Name</label>
                                            </div>
                                </div>
                                <div class="row">
                                    <div class="input-field col s12">
                                        <input name="{{ form.email.name }}" id="{{ form.email.id_for_label }}" type="email" class="validate" required>
                                            <label for="{{ form.email.id_for_label }}" data-error="Your email address is not valid">Email Address</label>
                                            </div>
                                </div>
                                <div class="row">
                                    <div class="input-field col s12">
                                        <input name="{{ form.password.name }}" id="{{ form.password.id_for_label }}" type="password" class="validate" required>
                                            <label for="{{ form.password.id_for_label }}">Password</label>
                                            </div>
                                </div>
                                <div class="row">
                                    <div class="input-field col s12">
                                        <input name="{{ form.repeat_password.name }}" id="{{ form.repeat_password.id_for_label }}" type="password" class="validate" required>
                                            <label for="{{ form.repeat_password.id_for_label }}">Repeat Password</label>
                                            </div>
                                </div>
                                <div class="input-field col s12">
                                <p class="center">Already have an account? <a href="myapp/login/">Login</a> here</p>
                                </div>
                                <div class="col s12">
                                    <button class="waves-effect waves-light btn cyan right col s12" type="submit" name="action" onsubmit="form_submit()">register</button>
                                </div>   
                            </form>
                        </div>
                    </div>
                </div>
                <div class="col s3"> 
                </div>
            </div>
        </div>
    </body>
</html>
